Projects

Update a project group access grant

PATCH
/api/projects/{projectId}/team-grants/{teamId}

Authorization

sessionCookie
cookiebetter-auth.session_token<token>

The Better Auth email/password session cookie used by the web application.

Path Parameters

projectId*string
Length1 <= length
teamId*string
Length1 <= length

Request Body

  1. body
role*string
Value in"editor""viewer"

Response Body

Response for status 200

application/json
  1. response
grant*
Example Request
curl -X PATCH 'https://postbot.example/api/projects/string/team-grants/string' \
  -H 'Content-Type: application/json' \
  -d '{
  "role": "editor"
}'
Example Response
{
  "grant": {
    "id": "string",
    "projectId": "string",
    "teamId": "string",
    "teamName": "string",
    "role": "owner",
    "createdAt": 0,
    "updatedAt": 0
  }
}

Was this page helpful?